WordPress.org

Make WordPress Core

Changeset 41068 for branches/4.8


Ignore:
Timestamp:
07/18/2017 03:22:34 AM (2 years ago)
Author:
westonruter
Message:

Widgets: Bump the TinyMCE panels' base z-index to 500001 so they show in the Customizer (such as in the Text widget).

Merges [40990] and [40995] onto 4.8 branch.
Props greuben, westonruter.
Fixes #41158 for 4.8.1.

Location:
branches/4.8
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • branches/4.8

  • branches/4.8/src/wp-admin/js/customize-controls.js

    r40704 r41068  
    55085508        } ());
    55095509
     5510        // Make sure TinyMCE dialogs appear above Customizer UI.
     5511        $( document ).one( 'wp-before-tinymce-init', function() {
     5512            if ( ! window.tinymce.ui.FloatPanel.zIndex || window.tinymce.ui.FloatPanel.zIndex < 500001 ) {
     5513                window.tinymce.ui.FloatPanel.zIndex = 500001;
     5514            }
     5515        } );
     5516
    55105517        api.trigger( 'ready' );
    55115518    });
  • branches/4.8/src/wp-includes/js/tinymce/plugins/wordpress/plugin.js

    r40587 r41068  
    22( function( tinymce ) {
    33// Set the minimum value for the modals z-index higher than #wpadminbar (100000)
    4 tinymce.ui.FloatPanel.zIndex = 100100;
     4if ( tinymce.ui.FloatPanel.zIndex < 100100 ) {
     5    tinymce.ui.FloatPanel.zIndex = 100100;
     6}
    57
    68tinymce.PluginManager.add( 'wordpress', function( editor ) {
Note: See TracChangeset for help on using the changeset viewer.